import os
import yaml
from functions import log, error
from secchi import secchi

with open("scripts/input_python.yaml", "r") as f:
    directories = yaml.load(f, Loader=yaml.FullLoader)

log("Creating directories")
for directory in directories.values():
    if not os.path.exists(directory):
        os.makedirs(directory)

log("Processing Secchi data", 1)
S = secchi()
if S.read_data(directories["Level0_dir"]):
    S.quality_flags("./quality_assurance.json")
    S.to_NetCDF(directories["Level1_dir"], "L1")
